<template>
  <div>
    <h1>TODO LIST WITH VUE</h1>
    <div class="row justify-content-center">
        <input type="text" class="form-control col-2" placeholder="Writte a new TODO" v-model="inputValue">
        <button  class="btn btn-outline-success space-left" @click="addToList" :disabled="!inputValue || /^\s*$/.test(inputValue)">ADD TO LIST</button>
    </div>
    <div v-for="todo in todos" :key="todo.id" class="row justify-content-center">
        <TodoComponent
        :todo="todo"
        @delete="deleteTodo"></TodoComponent>
    </div>
  </div>
</template>

<script>

import TodoComponent from './TodoComponent.vue'

let todoKeys = 1;

export default {
  name: "TodoList",
  data: function() {
    return {
      inputValue: "",
      todos: []
    };
  },
  methods: {
    addToList: function() {3  
      this.todos.push({
            id: todoKeys++,
            value: this.inputValue
          });
        this.inputValue = null;
    },
    deleteTodo: function(todoId){
        this.todos = this.todos.filter((el) => {
            return el.id !== todoId
        })
    },
    evalInputValue: function(inputValue) {
        return inputValue.replace
    }
  },
  components: {
      TodoComponent
  }
};
</script>

<style>
    div {
        margin-left: 0!important;
        margin-right: 0!important;
    }
    .space-left {
        margin-left: 10px;
    }
</style>
